# prometheus/node_exporter

- name: Check directory
  stat:
    path: "{{ prometheus_base_dir }}/node_exporter-{{ node_exporter_version }}"
  register: dir

- name: Install node exporter
  become: yes
  block:
    - file:
        path: "{{ prometheus_base_dir }}/node_exporter-{{ node_exporter_version }}"
        owner: "{{ prometheus_user }}"
        group: "{{ prometheus_group }}"
        recurse: yes
        state: directory
    - unarchive:
        src: "https://github.com/prometheus/node_exporter/releases/download/v{{ node_exporter_version }}/node_exporter-{{ node_exporter_version }}.linux-amd64.tar.gz"
        dest: "{{ prometheus_base_dir }}/node_exporter-{{ node_exporter_version }}"
        owner: "{{ prometheus_user }}"
        group: "{{ prometheus_group }}"
        remote_src: yes
        extra_opts:
          - "--strip-components=1"
    - file:
        src: "{{ prometheus_base_dir }}/node_exporter-{{ node_exporter_version }}"
        dest: "{{ prometheus_base_dir }}/node_exporter"
        state: link
        force: yes
  check_mode: no
  when: not dir.stat.exists

- name: Copy template
  become: yes
  template:
    src: "node_exporter.service.j2"
    dest: "/etc/systemd/system/node_exporter.service"
  notify: Restart node_exporter

- name: Enabled node_exporter
  become: yes
  systemd:
    name: "node_exporter"
    state: started
    enabled: yes
    daemon_reload: yes
  notify: Wait node_exporter
